Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Interface Parameters.MutableKeywordsParameters

All Superinterfaces:
  Parameters.KeywordsParameters

All Known Implementing Classes:
  BasicParameters, FileParameters, KeywordsInterview

Enclosing interface:
  Parameters

    public static interface Parameters.MutableKeywordsParameters

extends Parameters.KeywordsParameters

An interface providing abstract access to a keywords object which can be used to select tests according to their keywords.

Field Summary
`static int` | `ALL_OF` A constant used to indicate that tests that match all of the given keywords should be selected.
`static int` | `ANY_OF` A constant used to indicate that tests that match any of the given keywords should be selected.
`static int` | `EXPR` A constant used to indicate that tests that match the given keyword expression should be selected.
`static int` | `MATCH_KEYWORDS` A constant used to indicate that only tests matching the specified keywords should be selected.
`static int` | `NO_KEYWORDS` A constant used to indicate that no keyword filtering should be used.

Method Summary
`int` | `getKeywordsMode()` Get the current keywords mode.
`int` | `getMatchKeywordsMode()` Get a value which indicates how to interpret the match value, when the keywords mode is set to MATCH_KEYWORDS.
`java.lang.String` | `getMatchKeywordsValue()` Get a value that identifies which tests are to be selected, when the keywords mode is set to MATCH_KEYWORDS.
`void` | `setKeywords(int mode, java.lang.String value)` Set the details of the keywords to be used, if any, to filter tests for execution.
`void` | `setKeywordsMode(int mode)` Set the current keywords mode.
`void` | `setMatchKeywords(int mode, java.lang.String value)` Set how to match a tests keywords when the keywords mode is set to MATCH_KEYWORDS.

Methods inherited from interface com.sun.javatest.Parameters.KeywordsParameters
`getKeywords`

Field Detail

### NO_KEYWORDS

    static final int NO_KEYWORDS

  A constant used to indicate that no keyword filtering should be used.

  See Also:
    Constant Field Values

### MATCH_KEYWORDS

    static final int MATCH_KEYWORDS

  A constant used to indicate that only tests matching the specified keywords should be selected.

  See Also:
    Constant Field Values

### ANY_OF

    static final int ANY_OF

  A constant used to indicate that tests that match any of the given keywords should be selected.

  See Also:
    Constant Field Values

### ALL_OF

    static final int ALL_OF

  A constant used to indicate that tests that match all of the given keywords should be selected.

  See Also:
    Constant Field Values

### EXPR

    static final int EXPR

  A constant used to indicate that tests that match the given keyword expression should be selected.

  See Also:
    Constant Field Values

Method Detail

### setKeywords

    void setKeywords(int mode,
                     java.lang.String value)

  Set the details of the keywords to be used, if any, to filter tests for execution.

  Parameters:
    `mode` - the value of the match keywords mode to be set if `value` is not null
    `value` - if null, the keywords mode will be set to NO_KEYWORDS; if not null, the keywords mode will be set to MATCH_KEYWORDS, the match keywords mode will be set to `mode`, and the match keywords value will be set to this value
  See Also:
    `Parameters.KeywordsParameters.getKeywords()`, `NO_KEYWORDS`, `MATCH_KEYWORDS`

### getKeywordsMode

    int getKeywordsMode()

  Get the current keywords mode.

  Returns:
    NO_KEYWORDS if no keyword filtering will be used to select tests for execution, or MATCH_KEYWORDS if keywords will be filtered according to the match mode and match value.
  See Also:
    `setKeywordsMode(int)`, `NO_KEYWORDS`, `MATCH_KEYWORDS`

### setKeywordsMode

    void setKeywordsMode(int mode)

  Set the current keywords mode.

  Parameters:
    `mode` - set to NO_KEYWORDS if no keyword filtering will be used to select tests for execution, or MATCH_KEYWORDS if keywords will be filtered according to the match mode and match value.
  See Also:
    `getKeywordsMode()`, `NO_KEYWORDS`, `MATCH_KEYWORDS`

### getMatchKeywordsMode

    int getMatchKeywordsMode()

  Get a value which indicates how to interpret the match value, when the keywords mode is set to MATCH_KEYWORDS.

  Returns:
    a value which indicates how to interpret the match value, when the keywords mode is set to MATCH_KEYWORDS
  See Also:
    `setMatchKeywords(int, java.lang.String)`, `ANY_OF`, `ALL_OF`, `EXPR`

### getMatchKeywordsValue

    java.lang.String getMatchKeywordsValue()

  Get a value that identifies which tests are to be selected, when the keywords mode is set to MATCH_KEYWORDS.

  Returns:
    a value that identifies which tests are to be selected, when the keywords mode is set to MATCH_KEYWORDS
  See Also:
    `setMatchKeywords(int, java.lang.String)`, `ANY_OF`, `ALL_OF`, `EXPR`

### setMatchKeywords

    void setMatchKeywords(int mode,
                          java.lang.String value)

  Set how to match a tests keywords when the keywords mode is set to MATCH_KEYWORDS.

  Parameters:
    `mode` - A value indicating how to interpret `value`
    `value` - If `mode` is set to ANY_OF or ALL_OF, this value should give a white-space separate list of keywords to be matched; if `mode` is set to EXPR, this value should be a boolean expression using terminals, & (and), | (or), ! (negation) and parentheses, where the terminals are true if a test description contains that name as one of its keywords.
  See Also:
    `getMatchKeywordsMode()`, `getMatchKeywordsValue()`, `ANY_OF`, `ALL_OF`, `EXPR`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.